Package net.shibboleth.idp.attribute.resolver.dc.saml.util.impl

# Class SubjectMatchProcessor

java.lang.Object
net.shibboleth.idp.attribute.resolver.dc.saml.util.impl.SubjectMatchProcessor

public class SubjectMatchProcessor extends Object
A helper component for matching the `Subject` of an `Assertion` against the value sent in the query.

## Field Summary

Fields
Modifier and Type
Field
Description
`private org.slf4j.Logger`
`log`
Logger.

## Constructor Summary

Constructors
Constructor
Description
`SubjectMatchProcessor()`

## Method Summary

Modifier and Type
Method
Description
`void`
`process(ResponseData responseData)`
Match the response Assertions' Subject NameIDs to the one requested in the outgoing query.
`private boolean`
`subjectMatches(Assertion assertion, Subject querySubject)`
Evaluate whether the subject of the specified Assertion matches that of the specified Subject.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### log

@Nonnull private org.slf4j.Logger log
Logger.

## Constructor Details

### SubjectMatchProcessor

public SubjectMatchProcessor()

## Method Details

### process

public void process(@Nonnull ResponseData responseData)
Match the response Assertions' Subject NameIDs to the one requested in the outgoing query.

If an assertion's subject does not match what was requested, it will be removed from further processing.

Parameters:
  `responseData` - the response data being processed

### subjectMatches

private boolean subjectMatches(@Nonnull Assertion assertion, @Nonnull Subject querySubject)
Evaluate whether the subject of the specified Assertion matches that of the specified Subject.

Parameters:
  `assertion` - the Assertion to evaluate
  `querySubject` - the subject against which to match
Returns:
  true if Assertion subject matches, false if it does not match